org.apache.flume.sink.kite.policy

## Class SavePolicy.Builder

- java.lang.Object
- - org.apache.flume.sink.kite.policy.SavePolicy.Builder

- All Implemented Interfaces:
    FailurePolicy.Builder
  Enclosing class:
    SavePolicy

      public static class SavePolicy.Builder
      extends Object
      implements FailurePolicy.Builder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SavePolicy.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FailurePolicy` | `build(Context config)` Build a new `FailurePolicy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SavePolicy.Builder

          public SavePolicy.Builder()

  - ### Method Detail

    - #### build

          public FailurePolicy build(Context config)

      Description copied from interface: `FailurePolicy.Builder`
      Build a new `FailurePolicy`
      Specified by:
        `build` in interface `FailurePolicy.Builder`
      Parameters:
        `config` - The Flume configuration context
      Returns:
        The `FailurePolicy`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.